Bug 244857 - Coolkey PKCS#11 module won't prompt for login with CAC or PIV cards in CCID readers
Coolkey PKCS#11 module won't prompt for login with CAC or PIV cards in CCID r...
Status: CLOSED WONTFIX
Product: Red Hat Certificate System
Classification: Red Hat
Component: ESC (Show other bugs)
7.3
i386 Mac OS
medium Severity medium
: ---
: ---
Assigned To: Jack Magne
: FutureFeature
Depends On:
Blocks: 445047
  Show dependency treegraph
 
Reported: 2007-06-19 10:35 EDT by Timothy J. Miller
Modified: 2010-10-22 11:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 15:35:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy J. Miller 2007-06-19 10:35:45 EDT
Description of problem:

With Firefox and libcoolkeypk11 loaded as a security device, I'm not prompted to enter the PIN and 
access fails.  I must manually log into the token via the FF Security Devices interface.   

Version-Release number of selected component (if applicable):

SmartCardManager 1.14 on OS X 10.4.9 Intel.

How reproducible:

Always.

Steps to Reproduce:
1. Acquire a CAC or CAC/PIV Transitional card
2. Load libcoolkeypk11 security module.
3. Navigate to a website using SSL client authentication.
  
Actual results:

When "Ask me every time" cert seleciton is set, user is prompted for the certificate but not the PIN, and 
login fails.

Expected results:

PIN prompt should appear, and login should succeed.

Note You need to log in before you can comment on or make changes to this bug.